petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMNetworkGetSubnetworkCoupleInfo

Returns the info for the coupling subnetwork

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSubnetworkCoupleInfo(DM dm,PetscInt id,PetscInt *ne,const PetscInt **edge)

Input Parameters

| dm | - the DM object
| id | - the ID (integer) of the coupling subnetwork

Output Parameters

| ne | - number of edges (local)
| edge | - local edges for this coupling subnetwork

### Notes

Cannot call this routine before DMNetworkLayoutSetup()

### See Also

DMNetworkGetSubnetworkInfo, DMNetworkLayoutSetUp, DMNetworkCreate

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages